--- start 0th
inspired fr https://youtu.be/LX_DXLlaymg?t=804
gg openai -> create acc. n log in -> ref https://platform.openai.com/docs/quickstart/build-your-application @ nodejs

--- openai quickstart repo
> git clone https://github.com/openai/openai-quickstart-node.git

== run it
npm i ; npm run dev
open localhost:3000

acc. quota exceeded
![](doc/snapshot/2308141139-quotaexceeded.png)

enter dog
![](doc%2Fsnapshot%2F2308141142-enterdog.png)


--- start calling openai api 
[view 1](./demo_nodejs_app/README.md)

[view 2](./demo1_w__nextjs_app/README.md)
TODO how nextjs apirouter helps keeping secret the apikey?
